#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "dialog.h"
#include <QString>
#include <QFile>
#include <QTextStream>
#include <QStringList>
#include <QDir>
#include <QString>
#include <QListWidgetItem>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    chdir("/home/stefan/.panealat/");
    system("sh r.sh");
    QString ime;
    QFile listaDelova("lista");
    listaDelova.open(QIODevice::ReadOnly | QIODevice::Text);
    QTextStream p(&listaDelova);
    for (int brojac=0; brojac<=10000; brojac++)
    {
        p >> ime;
        if (ime=="lista")
            p >> ime;
        if (ime=="r.sh")
            p >> ime;
        if (ime=="")
            break;
        ui->lista->addItem(ime);
    }
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_dodaj_clicked()
{
    //citanje trenutne kolicine
    QFile kolicina(ui->imeDela->text() + "/kolicina");
    kolicina.open(QIODevice::ReadWrite | QIODevice::Text);
    QTextStream rw(&kolicina);
    int trenutnaKolicina;
    rw >> trenutnaKolicina;
    trenutnaKolicina++;
    //upisivanje nove kolicine
    rw << trenutnaKolicina;
    kolicina.close();
}

void MainWindow::on_brisi_clicked()
{
    //citanje trenutne kolicine
    QFile kolicina(ui->imeDela->text() + "/kolicina");
    kolicina.open(QIODevice::ReadWrite | QIODevice::Text);
    QTextStream rw(&kolicina);
    int trenutnaKolicina;
    rw >> trenutnaKolicina;
    trenutnaKolicina--;
    //upisivanje nove kolicine
    rw << trenutnaKolicina;
    kolicina.close();
}

void MainWindow::on_lista_itemClicked(QListWidgetItem* item)
{
    ui->imeDela->setText(ui->lista->currentItem()->text());
}

void MainWindow::on_novDeo_clicked()
{
    Dialog dialog;
    dialog.show();
}
